Subject: SIRDS

From: [email-masked]
Date: Tue, 14 Dec 93 12:21:49 -0700

I'm thinking of making a VR SIRDS (Single Image Random Dot Stereogram)
program which, at runtime, calculates the dot patterns from a fixed
bitmap.  I have started work and it is pretty fast, but I can't quite
get the 3D info encoded correctly.  Does anyone have any experience
with creating SIRDS, and if so, could you give me just a sample bit of
(pseudo?)code (preferrably Pascal, but C is fine too) which will draw a
dot at coordinate (x,y,z) and uses the array back[i, j] for the fixed background?

Joshua Shagam